# Qrcp

Qrcp è un’utility open source che, tramite terminale, permette di scambiare file tra desktop e dispositivi mobile. Basta che i vari device, connessi alla medesima rete Wi-Fi, scansionino un QR code generato appositamente.

## Installazione

```bash
cd ~
mkdir bin/

echo 'export PATH=$PATH:$HOME/bin/' >> .bashrc

wget -c https://github.com/claudiodangelis/qrcp/releases/download/0.9.1/qrcp_0.9.1_linux_i386.tar.gz

tar xf qrcp_0.9.1_linux_i386.tar.gz
mv qrcp bin/
```

### Aprire le porte del Firewall

```bash
sudo ufw allow 80/tcp
sudo ufw allow 443/tcp
sudo ufw allow from 192.168.1.0/24
```

## Funzionamento

### Invio

```bash
qrcp /path/to/file	    # crea il qr code per inviare il file
qrcp --zip /path/to/file   # in alternativa, per condividere il file compresso
```

Successivamente verrà generato il QR code da scansionare con lo smartphone. Una volta completato il download, il server temporaneo appena creato verrà automaticamente interrotto. È possibile anche inviare più di un file alla volta, o un’intera directory:

```bash
qrcp /path/to/file1 qrcp /path/to/file2  #invio di file multipli
qrcp /path/to/directory			 # condivisione di una directory		
```

### Ricezione

È possibile utilizzare qrcp anche per la ricezione dei file, ad esempio:

```bash
qrcp receive # riceve il file nella directory corrente
qrcp receive –output=/path/to/directory # riceve i file in una specifica directory
```

Pagina Github dl progetto: [https://github.com/claudiodangelis/qrcp/releases](https://github.com/claudiodangelis/qrcp/releases)

## Collegamenti

- [https://www.lffl.org/2020/07/qrcp-file-sharing-qr-code.html](https://www.lffl.org/2020/07/qrcp-file-sharing-qr-code.html)
